StatusesSearch:
  post:
    tags:
      - communication_statuses
    operationId: searchStatuses
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\StatusesController@search'
    x-lg-route-name: 'searchStatuses'
    x-lg-skip-request-generation: true
    summary: Поиск статусов
    description: Поиск статусов
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/statuses.yaml#/SearchStatusesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/statuses.yaml#/SearchStatusesResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StatusesCreate:
  post:
    tags:
      - communication_statuses
    operationId: createStatus
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\StatusesController@create'
    x-lg-route-name: 'createStatus'
    x-lg-skip-request-generation: true
    summary: Создание статуса
    description: Создание статуса
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/statuses.yaml#/StatusForCreate'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/statuses.yaml#/StatusResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StatusesCurrent:
  patch:
    tags:
      - communication_statuses
    operationId: patchStatus
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\StatusesController@patch'
    x-lg-route-name: 'patchStatus'
    x-lg-skip-request-generation: true
    summary: Обновление данных статуса
    description: Обновление данных статуса
    parameters:
      - $ref: '#/components/parameters/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/statuses.yaml#/StatusForPatch'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/statuses.yaml#/StatusResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - communication_statuses
    operationId: deleteStatus
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\StatusesController@delete'
    x-lg-route-name: 'deleteStatus'
    x-lg-skip-request-generation: true
    summary: Удаление статуса
    description: Удаление статуса
    parameters:
      - $ref: '#/components/parameters/PathId'
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/DeleteResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ThemesSearch:
  post:
    tags:
      - communication_themes
    operationId: searchThemes
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\ThemesController@search'
    x-lg-route-name: 'searchThemes'
    x-lg-skip-request-generation: true
    summary: Поиск тем
    description: Поиск тем
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/themes.yaml#/SearchThemesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/themes.yaml#/SearchThemesResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ThemesCreate:
  post:
    tags:
      - communication_themes
    operationId: createTheme
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\ThemesController@create'
    x-lg-route-name: 'createTheme'
    x-lg-skip-request-generation: true
    summary: Создание темы
    description: Создание темы
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/themes.yaml#/ThemeForCreate'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/themes.yaml#/ThemeResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ThemesCurrent:
  patch:
    tags:
      - communication_themes
    operationId: patchTheme
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\ThemesController@patch'
    x-lg-route-name: 'patchTheme'
    x-lg-skip-request-generation: true
    summary: Обновление данных темы
    description: Обновление данных темы
    parameters:
      - $ref: '#/components/parameters/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/themes.yaml#/ThemeForPatch'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/themes.yaml#/ThemeResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - communication_themes
    operationId: deleteTheme
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\ThemesController@delete'
    x-lg-route-name: 'deleteTheme'
    x-lg-skip-request-generation: true
    summary: Удаление темы
    description: Удаление темы
    parameters:
      - $ref: '#/components/parameters/PathId'
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/DeleteResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
TypesSearch:
  post:
    tags:
      - communication_types
    operationId: searchTypes
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\TypesController@search'
    x-lg-route-name: 'searchTypes'
    x-lg-skip-request-generation: true
    summary: Поиск типов
    description: Поиск типов
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/types.yaml#/SearchTypesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/types.yaml#/SearchTypesResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
TypesCreate:
  post:
    tags:
      - communication_types
    operationId: createType
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\TypesController@create'
    x-lg-route-name: 'createType'
    x-lg-skip-request-generation: true
    summary: Создание типа
    description: Создание типа
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/types.yaml#/TypeForCreate'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/types.yaml#/TypeResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
TypesCurrent:
  patch:
    tags:
      - communication_types
    operationId: patchType
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\TypesController@patch'
    x-lg-route-name: 'patchType'
    x-lg-skip-request-generation: true
    summary: Обновление данных типа
    description: Обновление данных типа
    parameters:
      - $ref: '#/components/parameters/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/types.yaml#/TypeForPatch'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/types.yaml#/TypeResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - communication_types
    operationId: deleteType
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\TypesController@delete'
    x-lg-route-name: 'deleteType'
    x-lg-skip-request-generation: true
    summary: Удаление типа
    description: Удаление типа
    parameters:
      - $ref: '#/components/parameters/PathId'
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/DeleteResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
MessagesSearch:
  post:
    tags:
      - communication_messages
    operationId: searchMessages
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\MessagesController@search'
    x-lg-route-name: 'searchMessages'
    x-lg-skip-request-generation: true
    summary: Поиск сообщений
    description: Поиск сообщений
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/messages.yaml#/SearchMessagesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/messages.yaml#/SearchMessagesResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
MessagesCreate:
  post:
    tags:
      - communication_messages
    operationId: createMessage
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\MessagesController@create'
    x-lg-route-name: 'createMessage'
    x-lg-skip-request-generation: true
    summary: Создание сообщения
    description: Создание сообщения
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/messages.yaml#/MessageForCreate'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/messages.yaml#/MessageResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
NotificationsSearch:
  post:
    tags:
      - communication_notifications
    operationId: searchNotifications
#    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\NotificationsController@search'
#    x-lg-route-name: 'searchNotifications'
#    x-lg-skip-request-generation: true
    summary: Поиск уведомлений
    description: Поиск уведомлений
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/notifications.yaml#/SearchNotificationsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/notifications.yaml#/SearchNotificationsResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
NotificationsCreate:
  post:
    tags:
      - communication_notifications
    operationId: createNotification
#    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\NotificationsController@create'
#    x-lg-route-name: 'createNotification'
#    x-lg-skip-request-generation: true
    summary: Создание уведомления
    description: Создание уведомления
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/notifications.yaml#/NotificationForCreate'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/notifications.yaml#/NotificationResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
NotificationsCurrent:
  patch:
    tags:
      - communication_notifications
    operationId: patchNotification
#    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\NotificationsController@patch'
#    x-lg-route-name: 'patchNotification'
#    x-lg-skip-request-generation: true
    summary: Обновление данных уведомления
    description: Обновление данных уведомления
    parameters:
      - $ref: '#/components/parameters/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/notifications.yaml#/NotificationForPatch'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/notifications.yaml#/NotificationResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - communication_notifications
    operationId: deleteNotification
#    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\NotificationsController@delete'
#    x-lg-route-name: 'deleteNotification'
#    x-lg-skip-request-generation: true
    summary: Удаление уведомления
    description: Удаление уведомления
    parameters:
      - $ref: '#/components/parameters/PathId'
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/DeleteResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BroadcastsCreate:
  post:
    tags:
      - communication
    operationId: createBroadcast
    summary: Создание рассылки
    description: Создание рассылки
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\BroadcastsController@create'
    x-lg-route-name: 'createBroadcast'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/broadcasts.yaml#/BroadcastForCreate'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/broadcasts.yaml#/BroadcastResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
FileUpload:
  post:
    tags:
      - communication_files
    operationId: fileUpload
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\FilesController@upload'
    x-lg-route-name: 'fileUpload'
    x-lg-skip-request-generation: true
    summary: Загрузка файла
    description: Загрузка файла
    requestBody:
      content:
        multipart/form-data:
          schema:
            $ref: '../common_schemas.yaml#/MultipartFileUploadRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: integer
                      example: 634
                    name:
                      type: string
                      example: logo.png
                    path:
                      type: string
                      example: 'attachments/08/af/LM_logo.png_YwMby5gPFwnOoKgjDkuD.png'
                    disk:
                      type: string
                      example: 'public'
                    url:
                      type: string
                      example: 'https://es.ensi-dev.greensight.ru/attachments/08/d3/logo.png_HaqQxnve28jgK1TB43W3.png'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
FileDelete:
  post:
    tags:
      - communication_files
    operationId: fileDelete
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\FilesController@delete'
    x-lg-route-name: 'fileDelete'
    x-lg-skip-request-generation: true
    summary: Удаление файлов
    description: Удаление файлов
    requestBody:
      content:
        application/json:
          schema:
            type: object
            properties:
              files:
                type: array
                items:
                  type: integer
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              type: object
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ChannelsSearch:
  post:
    tags:
      - communication_channels
    operationId: searchChannels
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\ChannelsController@search'
    x-lg-route-name: 'searchChannels'
    x-lg-skip-request-generation: true
    summary: Поиск каналов
    description: Поиск каналов
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/channels.yaml#/SearchChannelsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/channels.yaml#/SearchChannelsResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ChannelsCreate:
  post:
    tags:
      - communication_channels
    operationId: createChannel
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\ChannelsController@create'
    x-lg-route-name: 'createChannel'
    x-lg-skip-request-generation: true
    summary: Создание канала
    description: Создание канала
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/channels.yaml#/ChannelForCreate'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/channels.yaml#/ChannelResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ChannelsCurrent:
  patch:
    tags:
      - communication_channels
    operationId: patchChannel
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\ChannelsController@patch'
    x-lg-route-name: 'patchChannel'
    x-lg-skip-request-generation: true
    summary: Обновление данных канала
    description: Обновление данных канала
    parameters:
      - $ref: '#/components/parameters/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/channels.yaml#/ChannelForPatch'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/channels.yaml#/ChannelResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - communication_channels
    operationId: deleteChannel
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\ChannelsController@delete'
    x-lg-route-name: 'deleteChannel'
    x-lg-skip-request-generation: true
    summary: Удаление канала
    description: Удаление канала
    parameters:
      - $ref: '#/components/parameters/PathId'
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/DeleteResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ChatsSearch:
  post:
    tags:
      - communication_chats
    operationId: searchChats
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\ChatsController@search'
    x-lg-route-name: 'searchChats'
    x-lg-skip-request-generation: true
    summary: Поиск чатов
    description: Поиск чатов
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/chats.yaml#/SearchChatsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/chats.yaml#/SearchChatsResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ChatsCreate:
  post:
    tags:
      - communication_chats
    operationId: createChat
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\ChatsController@create'
    x-lg-route-name: 'createChat'
    x-lg-skip-request-generation: true
    summary: Создание чата
    description: Создание чата
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/chats.yaml#/ChatForCreate'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/chats.yaml#/ChatResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ChatsCurrent:
  patch:
    tags:
      - communication_chats
    operationId: patchChat
    x-lg-handler: '\App\Http\ApiV1\Modules\Communication\Controllers\ChatsController@patch'
    x-lg-route-name: 'patchChat'
    x-lg-skip-request-generation: true
    summary: Обновление данных чата
    description: Обновление данных чата
    parameters:
      - $ref: '#/components/parameters/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/chats.yaml#/ChatForPatch'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/chats.yaml#/ChatResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
components:
  parameters:
    QueryInclude:
      $ref: '../../common_parameters.yaml#/QueryInclude'
    PathId:
      in: path
      name: id
      required: true
      schema:
        type: integer
        minimum: 1
      description: Числовой id
      example: 1
